spring.application.name=inventory-service

server.port=8083
#spring.datasource.url=jdbc:mysql://localhost:3306/inventory
#spring.datasource.username=root
#spring.datasource.password=impetus
#spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.jpa.hibernate.ddl-auto=update
#spring.jpa.show-sql=true

# PostgreSQL database configuration
spring.datasource.url=jdbc:postgresql://ep-small-sea-a1gq4lbs.ap-southeast-1.aws.neon.tech/onlineDb

#?sslmode=require
spring.datasource.username=onlineDb_owner
spring.datasource.password=hHw1qea9UnEc
spring.datasource.driver-class-name=org.postgresql.Driver

# JPA properties
spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true

spring.jpa.properties.hibernate.default_schema=ecommerce


#eureka configuration
eureka.client.serviceUrl.defaultZone=http://localhost:8761/eureka/
management.endpoints.web.exposure.include=*



